Skip to main content
Contract / Billing

Edit budgets for a contract that has not yet billed

This method requires the ContractBilling:Edit permission to be associated with your role.

POST
/fm/contract/billing/edit
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Delegated-Locking-Session-Idstringheader

(Optional) Locking responsibility will be delegated to the specified Session Id.

This header enables the client to instruct the API to merely verify the presence of locks with the specified session id, but not attempt to obtain them itself. It requires the DelegatedLocking permission to be associated with your role.

Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

billing_common_dayinteger

Billing Common Day (monthly pay cycle only)

Example: 1
billing_deferrednumber

The number of periods deferred

Example: 0
billing_intervalstring

A valid pay cycle code

Example: monthly
contract_endstring

Contract End Date

Example: YYYY-MM-DD
contract_idstringrequired

Contract Id

Example: 100000
contract_startstring

Contract Start Date

Example: YYYY-MM-DD
inertia_flagenum<string>

Determines the contract's FBT days calculations

Available options: yes, no
Example: no
initial_billingsinteger

The number of periods included in the Initial Charge

Example: 0
override_alignment_warning_flagenum<string>

For a direct-link novated contract only: acknowledges that the billing date does not align to the client's payroll date for this pay cycle (or that the client has no payroll date configured for it) so the save proceeds without creating pay run records. Does not satisfy override_warnings_flag, and override_warnings_flag does not satisfy this. If not specified, defaults to 'no'.

Available options: yes, no
Example: no
override_warnings_flagenum<string>

Override warning validation. If not specified, defaults to 'no'

Available options: yes, no
Example: no
payment_methodenum<string>

Payment method preference for budgets

Available options: direct-debit, cheque, cash, other, credit-card, eft
Example: direct-debit
periodic_billingsinteger

The number of regular billings to be processed as Periodic invoices

Example: 60
posting_map_idstring

Posting Map Id

Example: 100000
start_periodicstring

Periodic Billing Start Date

Example: YYYY-MM-DD
terminteger

Contract Term (in months)

Example: 60

Response

application/vnd.catch-e-api.v1+json

Success

resultstring
Example: OK